DICEWARE(1)

NAME
diceware - generate passphrases you will remember

DESCRIPTION
usage: diceware [-h] [-n NUM] [-c | --no-caps] [-s NUM] [-d DELIMITER]

    [-r SOURCE] [-w NAME] [--dice-sides N] [-v] [--version] [INFILE]

Create a passphrase

  positional arguments:

INFILE
    Input wordlist. `-' will read from stdin.

  optional arguments:

-h, --help
    show this help message and exit

-n NUM, --num NUM
    number of words to concatenate. Default: 6

-c, --caps
    Capitalize words. This is the default.

--no-caps
    Turn off capitalization.

-s NUM, --specials NUM
    Insert NUM special chars into generated word.

-d DELIMITER, --delimiter DELIMITER
    Separate words by DELIMITER. Empty string by default.

-r SOURCE, --randomsource SOURCE
    Get randomness from this source. Possible values: `realdice', `system'. Default: system

-w NAME, --wordlist NAME
    Use words from this wordlist. Possible values: `en', `en_eff', `en_orig', `en_securedrop'. Wordlists are stored in the folder displayed below. Default: en_securedrop

-v, --verbose
    Be verbose. Use several times for increased verbosity.

--version
    output version information and exit.

  Arguments related to `realdice' randomsource:

--dice-sides N
    Number of sides of dice. Default: 6

Wordlists are stored in /usr/lib/python2.7/dist-packages/diceware/wordlists

FILES

~/.diceware.ini
    A INI-style configuration file specifying default configuration options.

SEE ALSO
http://diceware.readthedocs.io/ or /usr/share/doc/diceware-doc/html/index.html if the diceware-doc package is installed.

COPYRIGHT
Copyright © 2015, 2016, 2017 Uli Fouquet. This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

diceware is based on suggestions of Arnold G. Reinhold. See http://diceware.com for details. 'Diceware' is a trademark of Arnold G. Reinhold.